Wednesday, 13 March 2013 01:30

You need Joomla! _._ version!

Written by Lilit Asatryan
Bang2Joom blog: You need Joomla! _._ version! Bang2Joom blog: You need Joomla! _._ version!
This great infographic by ThemePartner will help you fill in the blanks above and decide which version of Joomla! you want and need!

This amazing walkthrough guides you the steps in a just few short minutes! These step-by-step questions help you get an overview of where you are currently standing. Within minutes you are ready to land on at your final destination!

ThemePartner Infographics

Theo van der Zee from ThemePartner tells us that the idea hatched about a year ago; at the time they were developing the Joomla 2.5 infographic. "We were trying to figure out whether or not to use Joomla! 2.5 for some projects, and when we started listing the factors that needed to be taken into account we quickly realized that structuring these would create a great resource for the community" Theo states.

A short time later, their first infograhic was ready and set for all Joomla! users! Now, they have a great repository of useful Joomla! infographics.

The making of "Should I Upgrade my Website To Joomla! 3?"

The "Should I Upgrade my Website To Joomla! 3?" Infographic was sketched and designed by Robin Poort and Theo van der Zee.

Theo explains the involved process of creating this resource, saying, "As it turns out, building a flow chart of this size is actually quite difficult! Adding the self-imposed rules of 'no crossing lines' and 'every next decision must move you either to the side or downwards' didn't exactly speed up the process either! However, our experience with the previous infographic has helped us tremendously."

From the experience they have had, they knew that in order to appeal to a wider audience, the infographic needed to be multi-lingual, so Robin kept this in mind while developing. As a result, besides the English variant of this infographic , they also have German, Italian, Spanish, French and Bulgarian versions available for Joomla! users!

The main idea for developing the infographic was to help more Joomla! users get on track with the appropriate Joomla! version their website needs at the moment. There is too much to take into account when making the decision of "Should I Upgrade my Website To Joomla! 3?", there are also many sources out on the web, like e-books, but hey, why not just save yourself time and energy, spend a couple of minutes answering these questions! At the end you will be firm in your decision whether to keep using your current Joomla! version, stay or upgrade to Joomla 2.5 or just give it a shot and upgrade to Joomla! 3 to get the best out of Joomla!

"It's worth noting that to date we haven't heard of a single mistake made in the flow of the infographic, which suggests we did a pretty fine job!" Theo van der Zee @ThemePartner

Yes, guys, you really did a great job! Keep it up!